// pages/feedback/feedback.js
import '../../utils/config'
import config from '../../utils/config'
Page({

    /**
     * 页面的初始数据
     */
    data: {
        feedbackTitle:'',    //反馈的标题
        feedbackTitleLength:0,  //标题的长度
        feedbackContent:'',  //反馈的内容
        feedbackContentLength:0,    //反馈内容的长度
        phoneNum:''     //电话号码
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {

    },

    //获取输入的反馈标题
    getTitle(e){
        let title = e.detail.value
        let titleLength = title.length
        this.setData({
            feedbackTitle : title,
            feedbackTitleLength : titleLength
        })
    },

    // 获取输入的反馈内容
    getContent(e){
        let content = e.detail.value
        let contentLength = content.length
        this.setData({
            feedbackContent : content,
            feedbackContentLength : contentLength
        })
    },

    // 获取输入的电话号码
    getPhoneNum(e){
        this.setData({
            phoneNum:e.detail.value
        })
    },

    // 点击提交按钮事件
    toSubmit(){
        let feedbackTitle = this.data.feedbackTitle
        let feedbackContent = this.data.feedbackContent
        let phoneNum = this.data.phoneNum
        if(!feedbackTitle){
            wx.showModal({
              title: '标题不能为空',
              content: '请输入标题后再试'
            })
        }else if(!feedbackContent){
            wx.showModal({
                title: '内容不能为空',
                content: '请输入您需要反馈的内容'
              })
        } else{
            if(!phoneNum){
                this.submitBtn()
                wx.showToast({
                    title: '提交成功！',
                })
            }else{
                let phoneReg=/^1(3|4|5|6|7|8|9)\d{9}$/;
                if(!phoneReg.test(phoneNum)){
                    wx.showModal({
                        title: '手机号错误',
                        content: '手机号码格式错误'
                      })
                    return;
                }
                this.submitBtn()
                wx.showToast({
                    title: '提交成功',
                })
            }
        }
    },

    submitBtn(){
        wx.request({
          url: config.host+'/front/addAccuse',
          method:'POST',
          header:{
              'content-type':'application/json'
          },
          data:{
            title:this.data.feedbackTitle,
            detail:this.data.feedbackContent,
            phone:this.data.phoneNum
          },
          success(res){
              console.log(res.data)
          }          
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})