// pages/scenicList/scenicList.js

import request from '../../utils/request'

Page({

    /**
     * 页面的初始数据
     */
    data: {
        scenicList:[],  //景点列表
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad:async function(options) {
        // 进入页面时，提示“数据加载中”
        wx.showLoading({
            title: '数据加载中',
            mask:true
        })
        //获取景点列表
        let result = await request('/front/scenicSpotAndCallout').catch(err=>{
            wx.hideLoading()
            wx.showModal({
                title: '数据加载失败',
                content: '当前网络不佳，请稍后再试',
                complete: (res) => {
                  if (res.cancel) {
                      wx.navigateBack()                      
                  }
              
                  if (res.confirm) {
                      wx.navigateBack()                        
                  }
                }
              })
        })  
        // console.log(result);
        for(let i = 0;i < result.length;i++){
            if(result[i].viewCount >= 10000){
                result[i].viewCount = result[i].viewCount/10000+'万'
            }
        }

        this.setData({
            scenicList:result
        })
        // console.log(this.data.scenicList);

        // 关闭“数据加载中”的提示
        if(this.data.scenicList.length != 0){
            wx.hideLoading()
        }else(
            setTimeout(function () {
                wx.hideLoading()
              }, 2000)
        )
  
    },

    //跳转到景点详情
    toScenicDetail(e) {
        // console.log(e);
        // console.log(e.currentTarget.dataset.index);
        // let scenicId = e.currentTarget.dataset.index
        let scenicId = e.currentTarget.dataset.item.id
        // console.log(scenicId);
        // 跳转传参
        wx.navigateTo({
            url: '/pages/scenicDetail/scenicDetail?id=' + scenicId,
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {
        wx.showToast({
          title: '没有更多啦',
          icon:'none'
        })
    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})